package main

import (
	"net/http"
)

func setRoutes(mux *http.ServeMux) {

	mux.HandleFunc("/", func(w http.ResponseWriter, r *http.Request) {
		if r.URL.Path != "/" {
			http.NotFound(w, r)
			return
		}

		Files := []string{}
		for file := range files {
			Files = append(Files, files[file].Alias)
		}

		contentB, err := GetConfig()
		content := ""
		if err != nil {
			content = err.Error()
		} else {
			content = string(contentB)
		}

		data := struct {
			Active  string
			Files   []string
			Content string
			Lang    string
		}{
			Files:   Files,
			Active:  "ConfigUI",
			Content: content,
			Lang:    "json",
		}

		Parse(w, "home", data)
	})
}
